Bug 129553 - Include new entities in common/ folder
Include new entities in common/ folder
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 07:35 EDT by Paul W. Frields
Modified: 2009-07-07 00:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 11:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fedora standard entities source, should be in common/ (2.05 KB, text/plain)
2004-08-10 07:38 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2004-08-10 07:35:22 EDT
Description of problem:
Current entities must be repetitively entered by authors/editors,
inducing usage skew. (Yes, I just made that term up. Sorry, it's early.)

Version-Release number of selected component (if applicable):
N/A

Actual results:
Authors/editors must enter their own entities manually. Mistakes
abound, and everyone uses different entities.

Expected results:
Standard entities for the most common terms, such as Fedora, Fedora
Project, Fedora Core, Fedora Documentation Project, et al.

Additional info:
Karsten Wade introduced the attached entities file to the
fedora-docs-list. See
http://www.redhat.com/archives/fedora-docs-list/2004-July/msg00046.html
for more information.
Comment 1 Paul W. Frields 2004-08-10 07:38:20 EDT
Created attachment 102562 [details]
Fedora standard entities source, should be in common/

All tutorials, whether book or article, should now reference this source
document with the following XML code:

<!ENTITY % FEDORA-ENTITIES-EN SYSTEM "../common/fedora-entities-en.xml">
%FEDORA-ENTITIES-EN;

Get this into CVS please!
Comment 2 Paul W. Frields 2004-08-10 18:05:08 EDT
We should also add an entity for Bugzilla under an appropriate
section. I think "Fedora common entities" is where this should go, but
I could also see it under "other common names" if there's an objection.

<!ENTITY BZ "Bugzilla"> <!-- Bugzilla -->
<!ENTITY BZ-URL "<ulink
url='http://bugzilla.redhat.com/'>http://bugzilla.redhat.com/</ulink>">
<!-- Bugzilla URL -->
Comment 3 Tammy Fox 2004-08-13 11:54:15 EDT
I have added the file to CVS and will start fixing the Documentation
Guide to reflect this change.
Comment 4 Tammy Fox 2004-08-13 12:12:39 EDT
example-tutorial/example-tutorial-en.xml in CVS has been changed to
use the common entities file and verison 0.2.3 of the Docs Guide has
been changed to show this in the example tutorial section.
Comment 5 Paul W. Frields 2004-08-13 14:50:59 EDT
Tammy,

I reopened the bug just to get your attentions for comment #2 above. I
think the BZ* entities are probably very useful as well. My
updfstab-tutorial references Bugzilla a couple times to remind users
that if they find unknown usb-storage devices, adding the information
to Bugzilla might help them find their way into the next release. I'll
bet other docs writers reference Bugzilla also. Is this sensible?
Comment 6 Paul W. Frields 2004-08-24 07:37:34 EDT
*Tickle, tickle!*
Comment 7 Tammy Fox 2004-08-25 11:08:32 EDT
The Bugzilla and Bugzilla URL entities have been added in CVS to
version 1.3 of the fedora-entities-en.xml file.
Comment 8 eric@christensenplace.us 2009-07-07 00:08:26 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.